Bug 459108 - drupal: multiple drupal issues in < 6.4,5.10 (SA-2008-047 - CVE-2008-3740, CVE-2008-3741, CVE-2008-3742, CVE-2008-3743, CVE-2008-3744, CVE-2008-3745)
drupal: multiple drupal issues in < 6.4,5.10 (SA-2008-047 - CVE-2008-3740, CV...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://drupal.org/node/295053
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 10:24 EDT by Tomas Hoger
Modified: 2008-10-13 07:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-13 07:25:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-08-14 10:24:09 EDT
Drupal upstream released new upstream versions 6.4 and 5.10 fixing multiple security issues described in upstream advisory SA-2008-047:

  http://drupal.org/node/295053

Issues reported:
- Cross site scripting issues (5.x, 6.x)
- Arbitrary file uploads via BlogAPI (5.x, 6.x)
- Multiple Cross site request forgeries (6.x ; 5.x, 6.x)
- Various Upload module vulnerabilities (6.x)

Upstream patches against previous versions:
http://drupal.org/files/sa-2008-047/SA-2008-047-5.9.patch
http://drupal.org/files/sa-2008-047/SA-2008-047-6.3.patch
Comment 1 Jon Ciesla 2008-08-14 10:31:14 EDT
Builds for devel, F-9, F-8, EL-5 and EL-4 are done.  Bodhi update for F-9 is done, F-8 won't complete (bodhi bug 221), email sent to epel_signers-members to push the EPEL builds.
Comment 2 Tomas Hoger 2008-08-28 02:34:11 EDT
CVE-2008-3740:
Cross-site scripting (XSS) vulnerability in the output filter in
Drupal 5.x before 5.10 and 6.x before 6.4 allows remote attackers to
inject arbitrary web script or HTML via unspecified vectors.

CVE-2008-3741:
The private filesystem in Drupal 5.x before 5.10 and 6.x before 6.4
trusts the MIME type sent by a web browser, which allows remote
authenticated users to conduct cross-site scripting (XSS) attacks by
uploading files containing arbitrary web script or HTML.

CVE-2008-3742:
Unrestricted file upload vulnerability in the BlogAPI module in Drupal
5.x before 5.10 and 6.x before 6.4 allows remote authenticated users
to execute arbitrary code by uploading a file with an executable
extension, which is not validated.

CVE-2008-3743:
Multiple cross-site request forgery (CSRF) vulnerabilities in forms in
Drupal 6.x before 6.4 allow remote attackers to perform unspecified
actions via unknown vectors, related to improper token validation for
(1) cached forms and (2) forms with AHAH elements.

CVE-2008-3744:
Multiple cross-site request forgery (CSRF) vulnerabilities in Drupal
5.x before 5.10 and 6.x before 6.4 allow remote attackers to (1) add
or (2) delete user access rules as administrators via an unspecified
URL.

CVE-2008-3745:
The Upload module in Drupal 6.x before 6.4 allows remote authenticated
users to edit nodes, delete files, and download unauthorized
attachments via unspecified vectors.
Comment 3 Fedora Update System 2008-09-10 02:53:17 EDT
drupal-5.10-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-09-10 03:08:29 EDT
drupal-6.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Tomas Hoger 2008-10-13 07:25:30 EDT
Fixed versions pushed to stable Fedora versions via:

  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-7467
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-7626

Note You need to log in before you can comment on or make changes to this bug.